%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define libbonobo_version 2.4.0
%define gconf2_version 2.4.0.1
%define gtkdoc_version 1.1
%define gnome_mime_data_version 2.4.0

Summary: 	The GNOME virtual file-system libraries.
Name:		gnome-vfs2
Version: 	2.4.0
Release: 	1
License: 	LGPL
Group: 		System Environment/Libraries
Source: 	gnome-vfs-%{version}.tar.bz2

Patch0:		gnome-vfs-2.4.0-aix.patch
Patch1:		gnome-vfs-2.4.0-autotools.patch

URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gnome-mime-data >= %{gnome_mime_data_version}
BuildRequires: 	libbonobo-devel >= %{libbonobo_version}
BuildRequires: 	GConf2-devel >= %{gconf2_version}
BuildRequires: 	gnome-mime-data >= %{gnome_mime_data_version}
BuildRequires: 	bonobo-activation-devel, glib2-devel, libxml2-devel, zlib-devel
# BuildRequires: 	popt, bzip2-devel, ORBit2-devel, XFree86-devel, openjade
BuildRequires: 	popt, bzip2-devel, ORBit2-devel
BuildRequires: 	pkgconfig
BuildRequires: 	gtk-doc >= %{gtkdoc_version}
# BuildRequires: 	/usr/bin/automake-1.4

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: 	Libraries and include files for developing GNOME VFS applications.
Group: 		Development/Libraries
Requires:   	%{name} = %{version}
Requires:   	GConf2-devel >= %{gconf2_version}
Requires:   	libbonobo-devel >= %{libbonobo_version}
Conflicts: 	bonobo-devel < 1.0.8
Conflicts: 	gnome-vfs-devel < 1.0.2

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%prep
%setup -q -n gnome-vfs-%{version}

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-vfs-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gnome-vfs-2.4.0-autotools.patch


%build
CPPFLAGS="-I%{_includedir}" LDFLAGS="-L%{_libdir}" \
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix} --disable-gtk-doc
G_CHARSET_ALIAS=%{_libdir}/charset.alias make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
SCHEMAS="system_http_proxy.schemas desktop_default_applications.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files 

%defattr(-, root, system)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/gnome-vfs-2.0
%dir %{_sysconfdir}/gnome-vfs-2.0/modules
%dir %{_sysconfdir}/gnome-vfs-2.0/vfolders
%config %{_sysconfdir}/gnome-vfs-2.0/modules/*.conf
%config %{_sysconfdir}/gnome-vfs-2.0/vfolders/*.vfolder-info
%{_bindir}/*
%{_libdir}/*.a
/usr/lib/*.a
%{_libdir}/gnome-vfs-2.0/modules
%dir %{_libdir}/gnome-vfs-2.0
%{_libdir}/bonobo
%{_libdir}/vfs
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/locale/*/LC_MESSAGES/gnome-vfs-2.0.mo


%files devel

%defattr(-, root, system)
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_libdir}/gnome-vfs-2.0/include/*.h
%{_includedir}/*
/usr/include/*
%{_datadir}/gtk-doc

